@import '../govczdesign/styles/styles.css';
/* Support for components that have not yet been hydrated */
@import '../govczdesign/styles/critical.css';
/* Basic support for print styles */
@import '../govczdesign/styles/print.css';
/* Support for content styles. Correct display of spaces between elements and text. */
@import '../govczdesign/styles/content.css';
/* Styles for basic layout and containers. */
@import '../govczdesign/styles/layout.css';
/* Styles of individual components when the component itself cannot be used. */
/*@import '../govczdesign/styles/components/*.css';*/
/* The public path to your fonts. */

/* latin-ext */
@font-face {
    font-family: Roboto;
    font-weight: 100;
    font-style: italic;
    font-display: auto;
    src: local("Roboto Thin Italic"), local("Roboto-ThinItalic"), url("../govczdesign/fonts/roboto-thin-italic-ext.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: Roboto;
    font-weight: 100;
    font-style: italic;
    font-display: auto;
    src: local("Roboto Thin Italic"), local("Roboto-ThinItalic"), url("../govczdesign/fonts/roboto-thin-italic.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: Roboto;
    font-weight: 300;
    font-style: italic;
    font-display: auto;
    src: local("Roboto Light Italic"), local("Roboto-LightItalic"), url("../govczdesign/fonts/roboto-light-italic-ext.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: Roboto;
    font-weight: 300;
    font-style: italic;
    font-display: auto;
    src: local("Roboto Light Italic"), local("Roboto-LightItalic"), url("../govczdesign/fonts/roboto-light-italic.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: Roboto;
    font-weight: 400;
    font-style: italic;
    font-display: auto;
    src: local("Roboto Italic"), local("Roboto-Italic"), url("../govczdesign/fonts/roboto-italic-ext.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: Roboto;
    font-weight: 400;
    font-style: italic;
    font-display: auto;
    src: local("Roboto Italic"), local("Roboto-Italic"), url("../govczdesign/fonts/roboto-italic.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: Roboto;
    font-weight: 500;
    font-style: italic;
    font-display: auto;
    src: local("Roboto Medium Italic"), local("Roboto-MediumItalic"), url("../govczdesign/fonts/roboto-medium-italic-ext.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: Roboto;
    font-weight: 500;
    font-style: italic;
    font-display: auto;
    src: local("Roboto Medium Italic"), local("Roboto-MediumItalic"), url("../govczdesign/fonts/roboto-medium-italic.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: Roboto;
    font-weight: 700;
    font-style: italic;
    font-display: auto;
    src: local("Roboto Bold Italic"), local("Roboto-BoldItalic"), url("../govczdesign/fonts/roboto-bold-italic-ext.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: Roboto;
    font-weight: 700;
    font-style: italic;
    font-display: auto;
    src: local("Roboto Bold Italic"), local("Roboto-BoldItalic"), url("../govczdesign/fonts/roboto-bold-italic.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: Roboto;
    font-weight: 100;
    font-style: normal;
    font-display: auto;
    src: local("Roboto Thin"), local("Roboto-Thin"), url("../govczdesign/fonts/roboto-thin-ext.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: Roboto;
    font-weight: 100;
    font-style: normal;
    font-display: auto;
    src: local("Roboto Thin"), local("Roboto-Thin"), url("../govczdesign/fonts/roboto-thin.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: Roboto;
    font-weight: 300;
    font-style: normal;
    font-display: auto;
    src: local("Roboto Light"), local("Roboto-Light"), url("../govczdesign/fonts/roboto-light-ext.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: Roboto;
    font-weight: 300;
    font-style: normal;
    font-display: auto;
    src: local("Roboto Light"), local("Roboto-Light"), url("../govczdesign/fonts/roboto-light.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: Roboto;
    font-weight: 400;
    font-style: normal;
    font-display: auto;
    src: local("Roboto"), local("Roboto-Regular"), url("../govczdesign/fonts/roboto-regular-ext.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: Roboto;
    font-weight: 400;
    font-style: normal;
    font-display: auto;
    src: local("Roboto"), local("Roboto-Regular"), url("../govczdesign/fonts/roboto-regular.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: Roboto;
    font-weight: 500;
    font-style: normal;
    font-display: auto;
    src: local("Roboto Medium"), local("Roboto-Medium"), url("../govczdesign/fonts/roboto-medium-ext.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: Roboto;
    font-weight: 500;
    font-style: normal;
    font-display: auto;
    src: local("Roboto Medium"), local("Roboto-Medium"), url("../govczdesign/fonts/roboto-medium.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: Roboto;
    font-weight: 700;
    font-style: normal;
    font-display: auto;
    src: local("Roboto Bold"), local("Roboto-Bold"), url("../govczdesign/fonts/roboto-bold-ext.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: Roboto;
    font-weight: 700;
    font-style: normal;
    font-display: auto;
    src: local("Roboto Bold"), local("Roboto-Bold"), url("../govczdesign/fonts/roboto-bold.woff2?v=0.0.1") format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}


@media (min-width: 992px) {
    .sides-auto {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .sides-auto {
        max-width: 1140px;
    }
}

@media (min-width: 1400px) {
    .sides-auto {
        max-width: 1200px;
    }
}

@media (min-width: 768px) {
    .vdp-col-md-6 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 auto;
        flex: 0 0 auto;
        width: 50%;
    }
}

@media (min-width: 768px) {
    .vdp-d-md-block {
        display: block !important;
    }

    .vdp-d-md-flex {
        display: -webkit-box !important;
        display: -ms-flexbox !important;
        display: flex !important;
    }

    .vdp-d-md-none {
        display: none !important;
    }

    .vdp-text-md-start {
        text-align: left !important;
    }

    .footer-right {
        float: right;
        text-align: right !important;
    }
}


* {
    box-sizing: border-box;
}

body {
    background: var(--gov-color-secondary-300);
    min-height: 100vh;
    margin: 0;
    display: grid;
    grid-template-rows: auto 1fr auto;
}

.sides-auto {
    width: 100%;
    margin: auto;
}


header {
    background: var(--gov-color-primary);
    padding-top: 1.25rem;
    padding-bottom: 1.0625rem;
    min-height: 50px;
}

    header .link-logo:hover {
        background-color: transparent;
    }

    header .logo {
        height: 40px;
    }

    header .portal-headline {
        font-size: 1.1rem;
        font-weight: 700;
        color: #dddddd;
        letter-spacing: .05em;
        margin-left: 20px; /* spacing images in the header */
    }

    header .header-icons {
        margin-left: auto;
        text-align: end;
        border: 0px solid black;
        color: #dddddd;
    }

        header .header-icons gov-icon {
            margin: 0px 5px;
        }

.flexbox-header {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
}

footer {
    color: var(--gov-color-secondary-600);
    background: var(--gov-color-secondary);
    font-size: 0.9rem;
    line-height: 1rem;
    min-height: 50px;
    padding-top: 40px;
    padding-bottom: 35px;
    margin-top: 25px;
}

    footer hr {
        border-top: 1px solid var(--gov-color-secondary-700);
        margin: 25px 0;
    }

    footer span {
        font-size: 0.7rem;
    }

    footer .footer-version {
        float: right;
    }

.footer-links {
    list-style-type: none !important; /* Remove bullets */
    padding: 0; /* Remove padding */
    margin: 0; /* Remove margins */
    text-transform: uppercase;
    font-size: .75rem;
    font-weight: 700;
}
    .footer-links a {
        text-decoration: none;
        color: inherit;
    }

    .footer-links li::before {
        background-color: transparent;
    }

.vspacing {
    margin: 20px 0;
}

.margintop {
    margin: 20px auto;
}

#user-info-button a span {
    color: var(--gov-color-primary-300-rgb);
    text-transform: uppercase;
}

#user-info-button a:hover {
    color: var(--gov-color-primary-100);
}

.breadcrumbs {
    margin-bottom: 20px !important;
}

.footer-upper p {
    font-size: .9rem;
    font-weight: 400;
    color: var(--gov-color-grey-light);
}


/*! CSS Used from: https://scd.vdp-katastr.vdp-int:8446/protected/resources/custom.vdp-css */

.vdp-container-lg {
    width: 100%;
}

.vdp-col-6 {
    width: calc(50% - 10px);
    min-width: 400px;
    padding: 0px;
    margin: 0px;
}

.vdp-col-8 {
    width: calc(70% - 10px);
    min-width: 400px;
    padding: 0px;
    margin: 0px;
}

.vdp-col-4 {
    width: calc(30% - 10px);
    min-width: 200px;
    padding: 0px;
    margin: 0px;
}


.vdp-col-12 {
    flex: 0 0 auto;
    width: 100%;
    padding: 0px;
    margin: 0px;
}


.vdp-g-lg-4 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 0px;
    margin: 20px 0;
}

.component-table {
    width: 100%;
    /*	border: 1px solid black;*/
}

.table-frame {
    background-color: var(--gov-color-neutral-white) !important;
    padding: 20px;
    margin-bottom: 30px;
}

.component-table tr {
    line-height: 2rem;
    border-bottom: 1px solid var(--gov-color-secondary-500);
}

.component-table tbody td {
    border: none;
    padding: 0.25rem;
    font-weight: normal;
}

.component-table tbody tr th {
    line-height: var(--gov-text-xs-line-height);
}

.component-table tbody tr td {
    line-height: var(--gov-text-xs-line-height);
}

#buttonCancel {
    margin: 10px 0;
}

section {
    margin: 20px 0;
}

#builder {
    margin: 20px 0;
}

#portalheaderbutton > gov-chip {
    margin: 0 20px;
}

#user-info-button a span {
    color: var(--gov-color-primary-300-rgb);
    text-transform: uppercase;
}

#user-info-button a:hover {
    color: var(--gov-color-primary-100);
}

/* LOADING SPINNER START */

#spinner {
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
}

.lds-ring {
    /* change color here */
    color: var(--gov-color-primary);
}

    .lds-ring,
    .lds-ring div {
        box-sizing: border-box;
    }

.lds-ring {
    display: inline-block;
    position: relative;
    width: 52px;
    height: 52px;
}

    .lds-ring div {
        box-sizing: border-box;
        display: block;
        position: absolute;
        width: 50px;
        height: 50px;
        margin: 8px;
        border: 8px solid currentColor;
        border-radius: 50%;
        animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
        border-color: currentColor transparent transparent transparent;
    }

        .lds-ring div:nth-child(1) {
            animation-delay: -0.45s;
        }

        .lds-ring div:nth-child(2) {
            animation-delay: -0.3s;
        }

        .lds-ring div:nth-child(3) {
            animation-delay: -0.15s;
        }

@keyframes lds-ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* LOADING SPINNER END */

#linkToPdf {
    margin: 50px;
    justify-content: center;
    align-items: center;
    position: relative;
    top: 20%;
    left: 20%;
}

#nialogincard, #dslogincard {
    
}

    #nialogincard img, #dslogincard img {
        display: block;
        margin: 20px auto;
        min-height: 100px;
    }

.card_inner_spacer {
    min-height: 500px;
}

.modal-table {
    padding: 20px;
    border-collapse: collapse;
    margin-bottom: 1.5625rem;
    table-layout: auto;
    width: 100%;
    border: none;
}
    .modal-table th {
        text-align: left;
        vertical-align: top; /* Aligns content to the top */
        padding: 10px; /* Adds spacing inside the header cells */
    }
    
    .modal-table td {
        text-align: left;
        padding: 10px; /* Adjust spacing as needed */
        border: 1px solid #ccc; /* Add a 1px border with a light gray color */
    }

 gov-message {
    margin-bottom: 1rem;
}